Bug 206085 - x11-fonts/noto is too big, Add port x11-fonts/noto-lite slave port
Summary: x11-fonts/noto is too big, Add port x11-fonts/noto-lite slave port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Lo
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-09 23:10 UTC by Axel Gonzalez
Modified: 2016-04-06 01:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kevlo)


Attachments
x11-fonts/noto-lite port (1.11 KB, application/x-xz)
2016-01-09 23:10 UTC, Axel Gonzalez
koobs: maintainer-approval? (kevlo)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Gonzalez 2016-01-09 23:10:13 UTC
Created attachment 165333 [details]
x11-fonts/noto-lite port

As it is now, the full noto package is too big ~450 MB considering that it includes lots of fonts, but they are rarely used.

noto is a nice font but 450 MB is too much. More for languages that never will be used.

Attached is a patch for a new port noto-lite that just uses the "basic" fonts, but covers western europe langs, russian, maybe others.

This new package is ~4 MB.


Note:

This is a copy of x11-fonts/noto , but as mentioned in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=201251#c8 the file is not fetchable from main site.

Also pending is fetch only the fonts and reduce download size.
Comment 1 Jeffrey Baitis 2016-04-05 19:10:18 UTC
I found that the Noto package taught me about several languages that I did not know about. However, for the 💩 that I do on a daily basis, the noto-lite package will suffice. Kevlo? This saves me about 447 MB...
Comment 2 commit-hook freebsd_committer 2016-04-06 01:51:46 UTC
A commit references this bug:

Author: kevlo
Date: Wed Apr  6 01:51:23 UTC 2016
New revision: 412594
URL: https://svnweb.freebsd.org/changeset/ports/412594

Log:
  Add port x11-fonts/noto-lite slave port.

  PR:	206085
  Submitted by:	Axel Gonzalez <loox at e-shell.net>

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/noto-lite/
  head/x11-fonts/noto-lite/Makefile
  head/x11-fonts/noto-lite/distinfo
  head/x11-fonts/noto-lite/pkg-descr
Comment 3 Kevin Lo freebsd_committer 2016-04-06 01:55:39 UTC
(In reply to Jeffrey Baitis from comment #1)

Yes I heard it.  Sorry for the late reply,  I've been swamped with work.
Comment 4 Kevin Lo freebsd_committer 2016-04-06 01:56:01 UTC
Committed, thanks.